The BOOST_PP_DEDUCE_Z macro manually deduces the state of the BOOST_PP_REPEAT construct.

#### Usage

BOOST_PP_DEDUCE_Z()

#### Remarks

This macro is intended to avoid the use of automatic-recursion at deep expansion depths. Automatic-recursion at such depths can be inefficient on some preprocessors. It is not intended to be used directly with the invocation of macros with a _Z suffix such as:
BOOST_PP_ENUM_PARAMS_Z(BOOST_PP_DEDUCE_Z(), (a, (b, (c, BOOST_PP_NIL))))
If it is used in this context, the _Z macro will fail. The _Z macros directly concatenate to the r parameter that is passed to them, which would prevent BOOST_PP_DEDUCE_Z() from expanding. Furthermore, it is pointless to use this macro in a situation such as this because it would already be too late to gain any efficiency.

#### See Also

- BOOST_PP_REPEAT

#### Requirements

Header: <boost/preprocessor/repetition/deduce_z.hpp>